<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
  <div id="app">
    <!-- 1a maneira -->
    <p>{{ titulo1 }}</p>
    <!--
      - v-bind atualiza no sentido: dado (na instancia do vue) > template
      - v-on atualiza no sentido: template > dado (na instancia do vue)
    -->
    <input type="text" v-bind:value="titulo1" v-on:input="titulo1 = $event.target.value">
    <!-- 2a maneira -->
    <p>{{ titulo2 }}</p>
    <!--
      ocorre sincronia:
      - tanto o template atualiza o dado (na instância)
      - como o dado (na instância) atualiza o template (no html)
    -->
    <input type="text" v-model="titulo2">
  </div>
  <script src="app.js"></script>
</body>

</html>